## haskell-attoparsec-text 0.8.5.1

=== benchmarks/Makefile ===
all: med.txt double_test.txt tiny double

tiny: Tiny.hs
	ghc -O --make -o $@ $<

double: Double.hs
	ghc -O --make -o $@ $<

%: %.bz2
	bunzip2 -k $<

clean:
	-rm -f *.o *.hi tiny

=== debian/changelog ===
haskell-attoparsec-text (0.8.5.1-2) unstable; urgency=low

  * Add version constraints to build-depends, avoids build failures on build
    daemons. 
  * Actually extend the version in .cabal and control to allow building
    against attoparsec 0.10. 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 03 Dec 2011 23:31:02 +0100

haskell-attoparsec-text (0.8.5.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Fri, 10 Jun 2011 23:49:58 -0400

=== debian/control ===
Source: haskell-attoparsec-text
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-attoparsec-dev (>= 0.7)
  , libghc-attoparsec-dev (<< 0.11)
  , libghc-attoparsec-prof
  , libghc-text-dev (>= 0.10)
  , libghc-text-dev (<< 0.12)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-attoparsec-doc
  , libghc-text-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/attoparsec-text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-attoparsec-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-attoparsec-text

Package: libghc-attoparsec-text-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Fast combinator parsing for texts
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary file
 formats.
 .
 This library is basically a translation of the original attoparsec
 library to use text instead of bytestrings.

Package: libghc-attoparsec-text-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Fast combinator parsing for texts; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary file
 formats.
 .
 This library is basically a translation of the original attoparsec
 library to use text instead of bytestrings.

Package: libghc-attoparsec-text-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Fast combinator parsing for texts; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a fast parser combinator library, aimed particularly at dealing
 efficiently with network protocols and complicated text/binary file
 formats.
 .
 This library is basically a translation of the original attoparsec
 library to use text instead of bytestrings.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|attoparsec-text-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/attoparsec-text \
    ([\d\.]*\d)/
